#ifndef FIGHT_WIDGET_ROW_H
#define FIGHT_WIDGET_ROW_H

#include "softProj\DetailsWidget\SimpleItem.h"
#include "softProj\clientServer\structs.h"
#include "softProj\settings.h"

class FightWidgetRow {
private:
	EFortressType fortressType_;
	bool isOwned_;
	bool canBuild_;
	bool isShell_;

	std::string name_;
	std::string realmName_;
	std::string planetName_;
	id_t id_;

	bool shellIconEnabled_;
public:
    QString getNameQString() const;
	QString getNameAndIDQString() const;

    std::string getName() const;

    EFortressType getFortressType() const;

	id_t getId() const;
	
	bool canBuild() const;

	QString getRealmNameQString() const;	

	std::string getRealmName() const;

	std::string getPlanetName() const;

	bool isShip() const ;

	bool isOwned() const ;

	bool isShell() const;

	FightWidgetRow(const SimpleItem & item, EFortressType fortressType, bool isOwned);

	FightWidgetRow(const FortressInRangeData & item, EFortressType fortressType);

	FightWidgetRow(const fortress_class_simple_data & item, EFortressType fortressType);

	FightWidgetRow(const fortress_build_information & item, EFortressType fortressType);

	FightWidgetRow(const fortress_attack_information & item, EFortressType fortressType, bool isOwned);

	void setShellIconEnabled(bool enabled);
	bool getShellIconEnabled();
};

#endif
